{% from 'lib.sls' import container_deploy with context %}

Create piwigo root directory:
  file.directory:
    - name: /srv/piwigo
    - user: {{ pillar.containers.piwigo.env.PUID }}
    - group: {{ pillar.containers.piwigo.env.GUID }}
    - mode: "0750"

Create piwigo config directory:
  file.directory:
    - name: /srv/piwigo/config
    - user: {{ pillar.containers.piwigo.env.PUID }}
    - group: {{ pillar.containers.piwigo.env.GUID }}
    - mode: "0750"

Create piwigo gallery directory:
  file.directory:
    - name: /srv/piwigo/gallery
    - user: {{ pillar.containers.piwigo.env.PUID }}
    - group: {{ pillar.containers.piwigo.env.GUID }}
    - mode: "0750"

{{ container_deploy('piwigo') }}
