{% from 'lib.sls' import container_deploy with context %}

create config directory for unpoller:
  file.directory:
    - name: /srv/unpoller
    - user: root
    - group: root
    - mode: "0750"

create unpoller config:
  file.managed:
    - name: /srv/unpoller/up.conf
    - source: salt://containers/files/unpoller.conf
    - template: jinja
    - user: root
    - group: root
    - mode: "0640"


{{ container_deploy('unpoller') }}
